Paypal

Send a signed simulated webhook through the real pipeline

POST
/api/v1/paypal/webhooks/simulate

Send a signed simulated webhook through the real pipeline.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Request Body

application/json

event_type?string
Lengthlength <= 64
Default"PAYMENT.CAPTURE.COMPLETED"
execution_id?|
Formatuuid
subscription_record_id?|
Formatuuid

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/paypal/webhooks/simulate" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {},  "meta": {},  "success": true}